/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include "project.h"
#include "stdio.h"
#include "slld_hal.h"
#include "flash_functions.h"

BYTE data1[250] = "CX0001^20190410^103145^89918610400234872050^865501048864699^Jio 4G^,^KT4GS01H010010^1.3^8.0^78^8.0^Y^1.8^10.0^90^1.0^6.0^50^4.5^4.5^4.5^45^6.0^10.0^0.0^0^2.5^Y^Y^Y^Y^Y^8^2.2^2.2^2.2^2.2^0.6^0.4^0^0000000000^78^12^4^N^5000^8000^Y^19|";

int main(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */
    LED9_Write(1);
    CyDelay(2000);
    RESET_Write(1);
    WP_Write(0);
    CS_Write(1);
    Debug_Uart_Start();
    SPIM_Start();
    
    char a[5] = {0};
    int i = strlen(data1);
    sprintf(a, "%d", i);
    Debug_Uart_PutString("\nLength:");
    Debug_Uart_PutString(a);
    
    write_page = 4;
    post_page = 4;
    if(flash_verify() == SLLD_OK)
    {
        read_CR();
        read_SR();
        if(flash_status() == dev_not_busy)
        {
            if(flash_write_enable() == SLLD_OK)
            {
                CyDelay(500);
                strncpy(wrBuffer, data1, strlen(data1));
                flash_general(WRITE_FLASH);
                flash_general(READ_FLASH);
            }
        }
    }
    
    CyDelay(500);
    Debug_Uart_Stop();
    SPIM_Stop();
}

/* [] END OF FILE */
